Package org.eclipse.emf.cdo.server

# Interface ILobCleanup

All Known Subinterfaces:
  `IDBStore`, `InternalFailoverParticipant`, `InternalRepository`, `InternalSynchronizableRepository`, `IRepository`, `ISynchronizableRepository`

public interface ILobCleanup
Supports the cleanup of LOBs (Large OBjects) that are no longer referenced by any revisions.

Since:
  4.25
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`ILobCleanup.LobCleanupNotSupportedException`
Indicates that LOB cleanup is not supported.

## Method Summary

Modifier and Type
Method
Description
`int`
`cleanupLobs(boolean dryRun)`

## Method Details

### cleanupLobs

int cleanupLobs(boolean dryRun) throws ILobCleanup.LobCleanupNotSupportedException

Throws:
  `ILobCleanup.LobCleanupNotSupportedException`